Package ghidra.trace.database.listing

# Class DBTraceDataView

java.lang.Object
ghidra.trace.database.listing.AbstractBaseDBTraceCodeUnitsView<DBTraceDataAdapter>
ghidra.trace.database.listing.AbstractComposedDBTraceCodeUnitsView<DBTraceDataAdapter,AbstractSingleDBTraceCodeUnitsView<? extends DBTraceDataAdapter>>
ghidra.trace.database.listing.DBTraceDataView

All Implemented Interfaces:
  `InternalBaseCodeUnitsView<TraceData>`, `TraceBaseCodeUnitsView<TraceData>`, `TraceDataView`

public class DBTraceDataView extends AbstractComposedDBTraceCodeUnitsView<DBTraceDataAdapter,AbstractSingleDBTraceCodeUnitsView<? extends DBTraceDataAdapter>> implements TraceDataView, InternalBaseCodeUnitsView<TraceData>
The implementation of `TraceCodeOperations.data()`

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.listing.AbstractComposedDBTraceCodeUnitsView

  `parts`

  ### Fields inherited from class ghidra.trace.database.listing.AbstractBaseDBTraceCodeUnitsView

  `space`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceDataView(DBTraceCodeSpace space)`
  Construct the view

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `coversRange(Lifespan span, AddressRange range)`
  Check if the given span of snaps and range of addresses is covered by the units
  `boolean`
  `intersectsRange(Lifespan span, AddressRange range)`
  Check if the given span of snaps and range of addresses intersects any unit

  ### Methods inherited from class ghidra.trace.database.listing.AbstractComposedDBTraceCodeUnitsView

  `compareBackward, compareForward, containsAddress, get, getAddressSetView, getAt, getCeiling, getContaining, getFloor, getIntersecting, size`

  ### Methods inherited from class ghidra.trace.database.listing.AbstractBaseDBTraceCodeUnitsView

  `coversRange, get, get, get, get, getAddressSetView, getAddressSpace, getAfter, getBefore, getSpace, getTrace, intersectsRange`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.trace.database.listing.InternalBaseCodeUnitsView

  `get, getContaining, getForRegister, getSpace`

  ### Methods inherited from interface ghidra.trace.model.listing.TraceBaseCodeUnitsView

  `containsAddress, coversRange, get, get, get, get, get, get, getAddressSetView, getAddressSetView, getAfter, getAt, getBefore, getCeiling, getContaining, getContaining, getFloor, getForRegister, getIntersecting, getTrace, intersectsRange, size`

- ## Constructor Details

  - ### DBTraceDataView

    public DBTraceDataView(DBTraceCodeSpace space)
    Construct the view
    Parameters:
      `space` - the space, bound to an address space

- ## Method Details

  - ### coversRange

    public boolean coversRange(Lifespan span, AddressRange range)
    Description copied from interface: `TraceBaseCodeUnitsView`
    Check if the given span of snaps and range of addresses is covered by the units

    This checks if every (snap, address) point within the given box is contained within some code unit in this view.

    Specified by:
      `coversRange` in interface `TraceBaseCodeUnitsView<TraceData>`
    Specified by:
      `coversRange` in class `AbstractBaseDBTraceCodeUnitsView<DBTraceDataAdapter>`
    Parameters:
      `span` - the span of snaps
      `range` - the address range
    Returns:
      true if covered, false otherwise
    See Also:
      - `TraceBaseCodeUnitsView.coversRange(Lifespan, AddressRange)`

  - ### intersectsRange

    public boolean intersectsRange(Lifespan span, AddressRange range)
    Description copied from interface: `TraceBaseCodeUnitsView`
    Check if the given span of snaps and range of addresses intersects any unit

    This checks if any (snap, address) point within the given box is contained within some code unit in this view.

    Specified by:
      `intersectsRange` in interface `TraceBaseCodeUnitsView<TraceData>`
    Specified by:
      `intersectsRange` in class `AbstractBaseDBTraceCodeUnitsView<DBTraceDataAdapter>`
    Parameters:
      `span` - the span of snaps
      `range` - the address range
    Returns:
      true if intersecting, false otherwise
    See Also:
      - `TraceBaseCodeUnitsView.intersectsRange(Lifespan, AddressRange)`